#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

# comment out when not pre-release
#define  prel beta3

# disable default option "make V=1 VERBOSE=1"
%define _make_verbose %nil
# limit CPUs to work around homicidal build system
%global _smp_ncpus_max 4

%ifarch aarch64 x86_64
%bcond_without qwebengine
%else
%bcond_with qwebengine
%endif

%define rel 2

Name:           digikam
Epoch:          1
Version: 8.6.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        A KDE photo management utility
License:        GPLv2+
Group:          Graphics/Photography
Url:            https://www.digikam.org
Source0:        https://download.kde.org/stable/digikam/%{version}%{?prel:-%prel}/digiKam-%{version}%{?prel:-%prel}.tar.xz
# upstream patches
# CVE-2025-4396[1-4]
# https://invent.kde.org/graphics/digikam/-/commit/0f6467b6a6f8203e4574854e6b4604e39902dc08
Patch1:         0001-update-internal-Libraw-to-20250317-snapshot.patch

# mageia patches

# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Sql)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6SvgWidgets)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6MultimediaWidgets)
BuildRequires:  cmake(Qt6OpenGL)
BuildRequires:  cmake(Qt6OpenGLWidgets)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6NetworkAuth)
BuildRequires:  cmake(Qt6StateMachine)
BuildRequires:  cmake(Qt6Widgets)
%if %{with qwebengine}
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:  cmake(KSaneWidgets6)
BuildRequires:  cmake(KF6FileMetaData)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Service)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6ThreadWeaver)

BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libgphoto2)
# gPhoto2 support needs usb-compat-devel
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(opencv) >= 3.0
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(lensfun)
BuildRequires:  pkgconfig(lqr-1) >= 0.4.0
BuildRequires:  pkgconfig(libgpod-1.0)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(jasper)
# MediaPlayer support
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libass)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(uchardet)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xv)

BuildRequires:  boost-devel
BuildRequires:  imagemagick-devel
BuildRequires:  libgomp-devel
BuildRequires:  cmake(marble)
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  doxygen
BuildRequires:  mysql-core
BuildRequires:  mysql-common
BuildRequires:  imagemagick

Requires:       mysql-core
Requires:       mysql-common
Requires:       %mklibname qt6-database-plugin-sqlite
Requires:       digikam-core = %{epoch}:%{version}-%{release}
Recommends:     digikam-plugin-gmic
Recommends:     hugin
Recommends:     marble

# needed by cleanup_digikamdb
Requires:       sqlite3-tools

%description
DigiKam is an advanced digital photo management application for KDE.
Photos can be collected into albums which can be sorted chronologically,
by directory layout or by custom collections.
DigiKam also provides tagging functionality. Images can be tagged despite of
their position and digiKam provides fast and intuitive ways to browse them.
User comments and customized meta-information added to images, are stored
into a database and retrieved to make them available into the user interface.
As soon as the camera is plugged in digikam allows you to preview, download,
upload and delete images.
Digikam also includes tools like Image Editor, to modify photos using plugins
such as red eye correction or Gamma correction, exif management,...
Light Table to make artistic photos and an external image editor such
as Showfoto.
Digikam also uses KIPI plugins (KDE Image Plugin Interface) to increase
its functionalities.


%files -f %{name}.lang
%{_kf6_bindir}/digikam
%{_kf6_bindir}/digitaglinktree
%{_kf6_bindir}/cleanup_digikamdb
%{_kf6_datadir}/digikam/
%{_kf6_datadir}/solid/actions/digikam*.desktop
%{_kf6_mandir}/man1/digitaglinktree.1*
%{_kf6_mandir}/man1/cleanup_digikamdb.1*
%{_kf6_iconsdir}/*/*/apps/digikam.*
%{_kf6_applicationdir}/org.kde.digikam.desktop
%{_kf6_metainfodir}/org.kde.digikam.appdata.xml
%{_kf6_datadir}/kxmlgui5/digikam/
%{_kf6_knotificationsdir}/digikam.notifyrc
%{_kf6_iconsdir}/*/*/*/expoblending.*
%{_kf6_iconsdir}/*/*/*/panorama.*
%{_kf6_iconsdir}/*/*/*/albumfolder*.*
%{_kf6_iconsdir}/*/*/*/overexposure.*
%{_kf6_iconsdir}/*/*/*/tag*.*
%{_kf6_iconsdir}/*/*/*/underexposure.*
%{_kf6_iconsdir}/*/*/*/dk-box.*
%{_kf6_iconsdir}/*/*/*/dk-dropbox.*
%{_kf6_iconsdir}/*/*/*/dk-flickr.*
%{_kf6_iconsdir}/*/*/*/dk-googledrive.*
%{_kf6_iconsdir}/*/*/*/dk-googlephoto.*
%{_kf6_iconsdir}/*/*/*/dk-imageshack.*
%{_kf6_iconsdir}/*/*/*/dk-imgur.*
%{_kf6_iconsdir}/*/*/*/dk-inat.*
%{_kf6_iconsdir}/*/*/*/dk-mediawiki.*
%{_kf6_iconsdir}/*/*/*/dk-onedrive.*
%{_kf6_iconsdir}/*/*/*/dk-pinterest.*
%{_kf6_iconsdir}/*/*/*/dk-piwigo.*
%{_kf6_iconsdir}/*/*/*/dk-smugmug.*
%{_qt6_plugindir}/digikam/

#-----------------------------------------------------------------------

%package -n     showfoto
Summary:        Fast Image Editor
Group:          Graphics/Photography
Requires:       libkdcraw-common

%description -n showfoto
Showfoto is a fast Image Editor with powerful image editing tools.
You can use it to view your photographs and improve them.

%files -n showfoto
%{_kf6_bindir}/showfoto
%{_kf6_datadir}/kxmlgui5/showfoto/
%{_kf6_metainfodir}/org.kde.showfoto.appdata.xml
%{_kf6_datadir}/showfoto/
%{_kf6_iconsdir}/*/*/apps/showfoto.*
%{_kf6_applicationsdir}/org.kde.showfoto.desktop

#-----------------------------------------------------------------------

%define libdigikamdatabase_major %{version}
%define libdigikamdatabase %mklibname digikamdatabase %{libdigikamdatabase_major}

%package -n     %{libdigikamdatabase}
Summary:        Runtime library for %{name}
Group:          System/Libraries
Provides:       %{libdigikamdatabase} = %{epoch}:%{version}-%{release}

%rename         %{_lib}digikamdatabase4

%description -n %{libdigikamdatabase}
Library File needed by %{name}.

%files -n %{libdigikamdatabase}
%{_kf6_libdir}/libdigikamdatabase.so.%{libdigikamdatabase_major}{,.*}

#-----------------------------------------------------------------------

%define libdigikamcore_major %{version}
%define libdigikamcore %mklibname digikamcore %{libdigikamcore_major}

%package -n     %{libdigikamcore}
Summary:        Runtime library for %{name}
Group:          System/Libraries
Provides:       digikam-core = %{epoch}:%{version}-%{release}

%rename         %{_lib}digikamcore4

%description -n %{libdigikamcore}
Library File needed by %{name}.

%files -n %{libdigikamcore}
%{_kf6_libdir}/libdigikamcore.so.%{libdigikamcore_major}{,.*}

#-----------------------------------------------------------------------

%define libdigikamgui_major %{version}
%define libdigikamgui %mklibname digikamgui %{libdigikamgui_major}

%package -n     %{libdigikamgui}
Summary:        Runtime library for %{name}
Group:          System/Libraries
Provides:       digikam-core = %{epoch}:%{version}-%{release}

%description -n %{libdigikamgui}
Library File needed by %{name}.

%files -n %{libdigikamgui}
%{_kf6_libdir}/libdigikamgui.so.%{libdigikamgui_major}{,.*}

#-----------------------------------------------------------------------

%define libnamedev %mklibname digikam -d

%package -n     %{libnamedev}
Summary:        Static libraries and headers for %{name}
Group:          Development/C
Provides:       %{name}-devel = %{epoch}:%{version}-%{release}
Requires:       %{libdigikamcore} = %{epoch}:%{version}-%{release}
Requires:       %{libdigikamgui} = %{epoch}:%{version}-%{release}
Requires:       %{libdigikamdatabase} = %{epoch}:%{version}-%{release}

%description -n %{libnamedev}
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.

%files -n     %{libnamedev}
%{_includedir}/digikam/
%{_kf6_libdir}/*.so
%{_kf6_libdir}/cmake/DigikamDatabase/
%{_kf6_libdir}/cmake/DigikamCore/
%{_kf6_libdir}/cmake/DigikamGui/
%{_kf6_libdir}/cmake/DigikamPlugin/

#-----------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}%{?prel:-%{prel}}

%build
%cmake_kf6 -DDIGIKAMSC_CHECKOUT_PO=OFF -DDIGIKAMSC_COMPILE_PO=ON \
           -DDIGIKAMSC_CHECKOUT_DOC=OFF -DDIGIKAMSC_COMPILE_DOC=OFF \
           -DENABLE_APPSTYLES=ON \
           -DENABLE_MEDIAPLAYER=ON \
           -DENABLE_QTMULTIMEDIA=ON \
           -DENABLE_MYSQLSUPPORT=ON \
           -DENABLE_INTERNALMYSQL=ON \
           -DBUILD_WITH_QT6:BOOL=ON \
%ifarch %ix86
           -DSSE2_FOUND:BOOL=false \
           -DSSE4_1_FOUND:BOOL=false \
%endif
           %{!?with_qwebengine:-DENABLE_QWEBENGINE:BOOL=OFF}

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html


%changelog
* Fri May 02 2025 daviddavid <daviddavid> 1:8.6.0-2.mga10
+ Revision: 2180489
- update internal Libraw to 2025/03/17 snapshot to fix CVE-2025-4396[1-4] (mga#34221)

* Tue Mar 18 2025 daviddavid <daviddavid> 1:8.6.0-1.mga10
+ Revision: 2165962
- new version: 8.6.0

* Sun Mar 16 2025 wally <wally> 1:8.5.0-3.mga10
+ Revision: 2164764
- rebuild for libxml2 2.13.6
+ daviddavid <daviddavid>
- add digikam-plugin-gmic as a recommended dependency

* Sun Dec 08 2024 daviddavid <daviddavid> 1:8.5.0-2.mga10
+ Revision: 2122605
- rebuild for new ffmpeg 7.1

* Sat Nov 16 2024 daviddavid <daviddavid> 1:8.5.0-1.mga10
+ Revision: 2116194
- new version: 8.5.0

* Sat Sep 14 2024 wally <wally> 1:8.4.0-2.mga10
+ Revision: 2096243
- rebuild for opencv 4.10.0

* Sat Jul 13 2024 daviddavid <daviddavid> 1:8.4.0-1.mga10
+ Revision: 2080924
- new version: 8.4.0
- enable libjxl support

* Sat Mar 16 2024 daviddavid <daviddavid> 1:8.3.0-1.mga10
+ Revision: 2050040
- new version: 8.3.0

* Fri Dec 01 2023 daviddavid <daviddavid> 1:8.2.0-1.mga10
+ Revision: 2012622
- new version: 8.2.0
- switch to Qt6/KF6

* Fri Oct 13 2023 daviddavid <daviddavid> 1:8.1.0-3.mga10
+ Revision: 1996008
- rebuild for new jasper 4.0.0

* Tue Oct 03 2023 daviddavid <daviddavid> 1:8.1.0-2.mga10
+ Revision: 1993237
- rebuild for new exiv2 0.28.0
- add openmandriva patch to fix build with exiv2 >= 0.28

* Thu Aug 31 2023 daviddavid <daviddavid> 1:8.1.0-1.mga10
+ Revision: 1982817
- new version: 8.1.0
- remove merged upstream patches
+ wally <wally>
- disable SSE2 and SSE4 support on i586 (mga#32102)

* Tue Apr 18 2023 daviddavid <daviddavid> 1:8.0.0-3.mga9
+ Revision: 1953550
- rebuild for arm

* Mon Apr 17 2023 daviddavid <daviddavid> 1:8.0.0-2.mga9
+ Revision: 1953480
- enable uchardet support

* Mon Apr 17 2023 daviddavid <daviddavid> 1:8.0.0-1.mga9
+ Revision: 1953460
- new version: 8.0.0
- qtav code have been backported to digiKam core, ported to Qt6,
  and ported to ffmpeg 5, so let's drop our system qtav

* Tue Mar 21 2023 daviddavid <daviddavid> 1:7.10.0-4.mga9
+ Revision: 1949920
- drop also no more needed by the project KF5WebKit build dependency

* Tue Mar 21 2023 daviddavid <daviddavid> 1:7.10.0-3.mga9
+ Revision: 1949911
- drop no more needed by the project KF5Vkontakte build dependency

* Tue Mar 14 2023 daviddavid <daviddavid> 1:7.10.0-2.mga9
+ Revision: 1948935
- add archlinux patch to fix build with ffmpeg 5 thus really enabling qtav support

* Tue Mar 14 2023 daviddavid <daviddavid> 1:7.10.0-1.mga9
+ Revision: 1948913
- new version 7.10.0
- re-enable qtav support

* Mon Dec 12 2022 ns80 <ns80> 1:7.9.0-2.mga9
+ Revision: 1920978
- rebuild for new libtiff

* Mon Dec 05 2022 daviddavid <daviddavid> 1:7.9.0-1.mga9
+ Revision: 1918332
- new version: 7.9.0

* Tue Nov 22 2022 daviddavid <daviddavid> 1:7.8.0-5.mga9
+ Revision: 1910123
- rebuild for new jasper 3.0.6

* Wed Nov 02 2022 ghibo <ghibo> 1:7.8.0-4.mga9
+ Revision: 1901473
- Rebuild for newer opencv

* Tue Nov 01 2022 mrambo3501 <mrambo3501> 1:7.8.0-3.mga9
+ Revision: 1901031
- rebuild for new lensfun

* Tue Nov 01 2022 ghibo <ghibo> 1:7.8.0-2.mga9
+ Revision: 1900937
- Rebuild against opencv 4.6.0

* Fri Sep 09 2022 neoclust <neoclust> 1:7.8.0-1.mga9
+ Revision: 1886106
- Disable QtAv support for the moment as it cannot be built/installed
- New version 7.8.0
- New version 7.7.0
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Mon Dec 27 2021 wally <wally> 1:7.3.0-3.mga9
+ Revision: 1764540
- rebuild for opencv 4.5.5
+ luigiwalser <luigiwalser>
- add patches from fedora to fix usage with newer exiv2 (kde#439785, rh#2019835)

* Thu Aug 12 2021 luigiwalser <luigiwalser> 1:7.3.0-1.mga9
+ Revision: 1741170
- 7.3.0

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1:7.2.0-2.mga9
+ Revision: 1740637
- rebuild for lensfun

* Tue Mar 23 2021 daviddavid <daviddavid> 1:7.2.0-1.mga9
+ Revision: 1708083
- new version: 7.2.0

* Sat Feb 27 2021 neoclust <neoclust> 1:7.1.0-5.mga9
+ Revision: 1692850
- Rebuild against new imagemagick

* Wed Dec 16 2020 umeabot <umeabot> 1:7.1.0-4.mga8
+ Revision: 1658321
- Rebuild for new Qt5

* Mon Nov 16 2020 kekepower <kekepower> 1:7.1.0-3.mga8
+ Revision: 1646578
- Rebuild for new Imagemagick lib major

* Sun Nov 01 2020 daviddavid <daviddavid> 1:7.1.0-2.mga8
+ Revision: 1641089
- rebuild for new opencv 4.5.0

* Mon Sep 07 2020 daviddavid <daviddavid> 1:7.1.0-1.mga8
+ Revision: 1623050
- new version: 7.1.0

* Sat Jul 18 2020 daviddavid <daviddavid> 1:7.0.0-1.mga8
+ Revision: 1606892
- new version: 7.0.0
- remove merged upstream patches
- fix libraries pkg name

* Mon Jul 06 2020 daviddavid <daviddavid> 1:6.4.0-6.mga8
+ Revision: 1602497
- add patch to fix build against Qt 5.15
- recommends marble instead of required it (mga#26899)
- also same for hugin

* Thu May 28 2020 daviddavid <daviddavid> 1:6.4.0-5.mga8
+ Revision: 1588463
- switch appdata files to kf5_metainfo dir

* Wed Feb 19 2020 umeabot <umeabot> 1:6.4.0-4.mga8
+ Revision: 1544336
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 daviddavid <daviddavid> 1:6.4.0-3.mga8
+ Revision: 1482895
- add patch to fix build with opencv 4.2.0
- rebuild for new opencv 4.2.0

* Mon Dec 30 2019 kekepower <kekepower> 1:6.4.0-2.mga8
+ Revision: 1474950
- Rebuild for new imagemagick
+ wally <wally>
- build with new cmake macros
+ daviddavid <daviddavid>
- turn off default verbose build with appropriate macro

* Sun Nov 17 2019 daviddavid <daviddavid> 1:6.4.0-1.mga8
+ Revision: 1461524
- new version: 6.4.0

* Sat Sep 14 2019 daviddavid <daviddavid> 1:6.3.0-1.mga8
+ Revision: 1440844
- new version: 6.3.0

* Thu Aug 01 2019 daviddavid <daviddavid> 1:6.2.0-1.mga8
+ Revision: 1426659
- new version: 6.2.0

* Fri May 17 2019 daviddavid <daviddavid> 4.mga7-current
+ Revision: 1398100
- rebuild for new exiv2 0.27.1

* Sun Apr 21 2019 daviddavid <daviddavid> 1:6.1.0-3.mga7
+ Revision: 1394160
- re-enable kvkontakte support

* Sat Apr 20 2019 daviddavid <daviddavid> 1:6.1.0-2.mga7
+ Revision: 1393671
- do not obsolete/provide all kipi-plugins anymore as now in a separate pkg

* Tue Apr 16 2019 daviddavid <daviddavid> 1:6.1.0-1.mga7
+ Revision: 1391588
- new version: 6.1.0

* Sat Mar 30 2019 umeabot <umeabot> 1:6.0.0-2.mga7
+ Revision: 1381534
- Qt5 Rebuild

* Mon Feb 11 2019 neoclust <neoclust> 1:6.0.0-1.mga7
+ Revision: 1365287
- New version 6.0.0

* Mon Feb 11 2019 neoclust <neoclust> 1:6.0.0-0.beta3.0.mga7
+ Revision: 1365188
- New version 6.0.0 beta3

* Sun Sep 23 2018 umeabot <umeabot> 1:5.9.0-4.mga7
+ Revision: 1297445
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 daviddavid <daviddavid> 1:5.9.0-3.mga7
+ Revision: 1219286
- rebuild for new jasper 2.0.14

* Fri Apr 13 2018 daviddavid <daviddavid> 1:5.9.0-2.mga7
+ Revision: 1218271
- enable opencv3 support
- rebuild for new opencv 3.4.1

* Mon Mar 19 2018 neoclust <neoclust> 1:5.9.0-1.mga7
+ Revision: 1210435
- New version 5.9.0

* Sun Mar 11 2018 neoclust <neoclust> 1:5.8.0-3.mga7
+ Revision: 1208235
- Remove useless BR

* Sat Mar 10 2018 zezinho <zezinho> 1:5.8.0-2.mga7
+ Revision: 1208050
- enable marble akonadi and kfilemetadata

* Thu Mar 08 2018 neoclust <neoclust> 1:5.8.0-1.mga7
+ Revision: 1207383
- New version 5.8.0
- New version 5.7.0
+ buchan <buchan>
- Fix build by forcing opencv2 (until we have opencv3)
- Enable video (BR qtav, force ENABLE_MEDIAPLAYER=ON
- BR to enable kfilemetadata and akonadi-contacts support
+ tv <tv>
- rebuild for new libmarblewidget-qt5
+ anaselli <anaselli>
- really added marble dependency
- added plugin dependencies see mga#21408 and mga#21409

* Tue Jun 20 2017 neoclust <neoclust> 1:5.5.0-2.mga6
+ Revision: 1108004
- Rebuild against new exiv2

* Mon Mar 13 2017 neoclust <neoclust> 1:5.5.0-1.mga6
+ Revision: 1092279
- Add back jalbum kipi-plugin
- New version 5.5.0

* Tue Jan 31 2017 barjac <barjac> 1:5.4.0-3.mga6
+ Revision: 1084314
- Rebuild for eigen3

* Sun Jan 08 2017 neoclust <neoclust> 1:5.4.0-2.mga6
+ Revision: 1080729
- New version 5.4.0

* Thu Dec 15 2016 neoclust <neoclust> 1:5.3.0-2.mga6
+ Revision: 1075309
- Rebuild against new libkipi

* Sun Nov 06 2016 neoclust <neoclust> 1:5.3.0-1.mga6
+ Revision: 1065505
- New version 5.3.0

* Fri Sep 23 2016 neoclust <neoclust> 1:5.2.0-3.mga6
+ Revision: 1055491
- Fix typo in %%rename

* Fri Sep 23 2016 neoclust <neoclust> 1:5.2.0-2.mga6
+ Revision: 1055456
- Obsolete some removed kipi plugins
- New bugfix release 5.2.0

* Wed Sep 14 2016 zezinho <zezinho> 1:5.1.0-3.mga6
+ Revision: 1052603
- fix name of qt5-database-plugin-sqlite as i586 version was used for x86_64

* Wed Sep 07 2016 daviddavid <daviddavid> 1:5.1.0-2.mga6
+ Revision: 1050342
- rebuild for marble 16.08.0

* Tue Aug 09 2016 daviddavid <daviddavid> 1:5.1.0-1.mga6
+ Revision: 1045183
- add patch from fedora to fix FTBFS on i586
  * https://bugs.kde.org/show_bug.cgi?id=366542
+ neoclust <neoclust>
- New version 5.1.0

* Mon Jul 04 2016 neoclust <neoclust> 1:5.0.0-1.mga6
+ Revision: 1038594
- New version 5.0.0

* Mon Jun 13 2016 neoclust <neoclust> 1:5.0.0-0.beta7.1.mga6
+ Revision: 1021323
- New beta release

* Fri May 06 2016 neoclust <neoclust> 1:5.0.0-0.beta6.3.mga6
+ Revision: 1009686
- Requires qt5 sqlite driver

* Thu May 05 2016 daviddavid <daviddavid> 1:5.0.0-0.beta6.2.mga6
+ Revision: 1009587
- Rebuild again because of missing kipi-plugins rpm

* Wed Apr 27 2016 neoclust <neoclust> 1:5.0.0-0.beta6.1.mga6
+ Revision: 1007010
- New version 5.0.0 Beta6

* Sun Apr 17 2016 neoclust <neoclust> 1:5.0.0-0.beta5.2.mga6
+ Revision: 1003196
- Rebuild because of missing kipi-plugins rpm

* Wed Apr 13 2016 neoclust <neoclust> 1:5.0.0-0.beta5.1.mga6
+ Revision: 1001060
- New version 5.0.0 beta5

* Thu Jan 21 2016 neoclust <neoclust> 1:5.0.0-0.beta3.6.mga6
+ Revision: 926243
- New version 5.0.0 beta3
+ luigiwalser <luigiwalser>
- add upstream patch to fix build with lensfun 0.3.2 (thx to fedora for the ref)
- rebuild for lensfun

* Thu Dec 31 2015 neoclust <neoclust> 1:5.0.0-0.beta2.5.mga6
+ Revision: 917119
- More obsoletes to ease upgrade

* Thu Dec 31 2015 neoclust <neoclust> 1:5.0.0-0.beta2.4.mga6
+ Revision: 917110
- Obsolete more old packages

* Thu Dec 31 2015 neoclust <neoclust> 1:5.0.0-0.beta2.3.mga6
+ Revision: 917109
- Fix upgrade from mga5

* Fri Dec 11 2015 neoclust <neoclust> 1:5.0.0-0.beta2.2.mga6
+ Revision: 909574
- Only add slideshow icons in the advanceslideshow package

* Tue Dec 01 2015 neoclust <neoclust> 1:5.0.0-0.beta2.1.mga6
+ Revision: 907469
- New version 5.0.0-beta2

* Fri Oct 23 2015 neoclust <neoclust> 1:5.0.0-0.beta1.1.mga6
+ Revision: 894523
- New version 5.0.0 Beta1
- Fix libkface-common require

* Mon Aug 31 2015 neoclust <neoclust> 1:5.0.0-0.alpha1.2.mga6
+ Revision: 871675
- Add 2 new libs libdigikamcore libdigikamgui

* Thu Aug 27 2015 neoclust <neoclust> 1:5.0.0-0.alpha1.1.mga6
+ Revision: 870172
- New KF5 snapshot

* Sat Aug 08 2015 neoclust <neoclust> 1:4.12.0-4.mga6
+ Revision: 861622
- Remove libkgeomap from spec file

* Sun Aug 02 2015 neoclust <neoclust> 1:4.12.0-3.mga6
+ Revision: 860759
- Obsolete kipi-plugins-gpssync

* Sun Aug 02 2015 neoclust <neoclust> 1:4.12.0-2.mga6
+ Revision: 860754
- Fix transations
- New version 4.12.0

* Mon Jul 13 2015 fwang <fwang> 1:4.11.0-2.mga6
+ Revision: 853488
- balloo is based on qt5 now

* Mon Jul 06 2015 fwang <fwang> 1:4.11.0-1.mga6
+ Revision: 851803
- gpssync not build any more
- we currently have marble for kf5
- 4.11.0

* Tue Feb 24 2015 anaselli <anaselli> 1:4.8.0-1.mga5
+ Revision: 816793
- new upstream version 4.8.0

* Sun Feb 22 2015 anaselli <anaselli> 1:4.5.0-3.mga5
+ Revision: 816473
- fixed mga# 15263 digikam was not built against libgphoto2
+ lmenut <lmenut>
- add BuildRequires usb-compat-devel for gPhoto2 support

* Fri Feb 06 2015 lmenut <lmenut> 1:4.5.0-2.mga5
+ Revision: 813786
- rebuild for qt-gstreamer 1.2 (GStreamer 1.0)

* Sun Dec 07 2014 lmenut <lmenut> 1:4.5.0-1.mga5
+ Revision: 801961
- Update to 4.5.0
  remove patches merged upstream
  add patch to still use some internal libraries not yet available
    as extra packages (libkface, libkgeomap, libmediawiki, libkvkontakte)
  fix files list

* Sun Oct 19 2014 lmenut <lmenut> 1:4.4.0-2.mga5
+ Revision: 791790
- add patch to fix build with KDE 4.14.x
- add BuildRequires to enable:
  + Baloo support
  + KDE address book support
  + kipiplugin videoslideshow

* Thu Oct 16 2014 bcornec <bcornec> 1:4.4.0-1.mga5
+ Revision: 762921
- updated to upstream 4.4.0 digikam
- Updated to upstream 4.4.0
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps
- s/uggests:/Recommends:/
+ neoclust <neoclust>
- New version 4.3.0

* Tue Aug 26 2014 luigiwalser <luigiwalser> 1:4.2.0-2.mga5
+ Revision: 668372
- rebuild

* Thu Aug 07 2014 fwang <fwang> 1:4.2.0-1.mga5
+ Revision: 660742
- 4.2.0

* Fri Aug 01 2014 luigiwalser <luigiwalser> 1:4.1.0-2.mga5
+ Revision: 658907
- build with lcms2 instead of lcms1

* Sat Jul 26 2014 fwang <fwang> 1:4.1.0-1.mga5
+ Revision: 656573
- add kvkontakte sub package
+ neoclust <neoclust>
- libkvkontakte-devel does not exist anymore
- New version

* Mon May 12 2014 neoclust <neoclust> 1:4.0.0-1.mga5
+ Revision: 622170
- New version

* Mon Apr 28 2014 neoclust <neoclust> 1:4.0.0-0.rc.1.mga5
+ Revision: 618591
- New version 4.0.0 rc

* Wed Apr 23 2014 fwang <fwang> 1:4.0.0-0.beta4.1.mga5
+ Revision: 617506
- fix installation dir for docs
- update libmajor
- 4.0 beta4

* Tue Mar 25 2014 fwang <fwang> 1:4.0.0-0.beta3.2.mga5
+ Revision: 608250
- rebuild for new marble

* Mon Feb 17 2014 neoclust <neoclust> 1:4.0.0-0.beta3.1.mga5
+ Revision: 594014
- New version 4.0.0 Beta3

* Sun Jan 26 2014 colin <colin> 1:3.5.0-3.mga4
+ Revision: 568251
- Apply upstream crash fix in panoramagui mga#12246

* Mon Oct 21 2013 umeabot <umeabot> 1:3.5.0-2.mga4
+ Revision: 538554
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 neoclust <neoclust> 1:3.5.0-1.mga4
+ Revision: 489925
- New version 3.5.0

* Fri Sep 06 2013 fwang <fwang> 1:3.4.0-1.mga4
+ Revision: 475369
- new version 3.4.0

* Mon Aug 26 2013 stormi <stormi> 1:3.3.0-2.mga4
+ Revision: 471886
- fix Summary for kipi-plugins-wikimedia (mga #9678)

* Mon Aug 05 2013 neoclust <neoclust> 1:3.3.0-1.mga4
+ Revision: 463690
- Version 3.3.0 final

* Sun Jul 21 2013 lmenut <lmenut> 1:3.3.0-0.beta3.3.mga4
+ Revision: 457007
- kipi-plugins-htmlexport is back:
  + fix version conflicts with kipi-plugins
  + remove obsoletes & conflicts in kipi-plugins

* Sat Jul 20 2013 fwang <fwang> 1:3.3.0-0.beta3.2.mga4
+ Revision: 456391
- rebuild for new marble

* Wed Jul 17 2013 fwang <fwang> 1:3.3.0-0.beta3.1.mga4
+ Revision: 455187
- new version 3.3.0 beta3

* Tue Jul 09 2013 fwang <fwang> 1:3.3.0-0.beta2.2.mga4
+ Revision: 451733
- rebuild for new boost
- build with gold to make it faster

* Mon Jun 17 2013 fwang <fwang> 1:3.3.0-0.beta2.1.mga4
+ Revision: 444052
- update file list
- update file list
- update file list
+ neoclust <neoclust>
- New version

* Fri Jun 07 2013 fwang <fwang> 1:3.3.0-0.beta1.1.mga4
+ Revision: 440210
- add jalbumexport plugin
- update libmajor
- add upstream patch to fix build (kde#320714)
+ neoclust <neoclust>
- New version
- New version 3.2.0

* Sun Mar 24 2013 lmenut <lmenut> 1:3.1.0-2.mga3
+ Revision: 404810
- add missing conflicts & obsoletes (mga #9518)

* Wed Mar 13 2013 neoclust <neoclust> 1:3.1.0-1.mga3
+ Revision: 402596
- New version

* Fri Feb 08 2013 lmenut <lmenut> 1:3.0.0-2.mga3
+ Revision: 397133
- Remove libkipi translations already provided by kde-l10-xx (mga #8988)

* Thu Feb 07 2013 neoclust <neoclust> 1:3.0.0-1.mga3
+ Revision: 395058
- New version 3.0.0 Final

* Fri Jan 11 2013 umeabot <umeabot> 1:3.0.0-0.rc.4.mga3
+ Revision: 348786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 fwang <fwang> 1:3.0.0-0.rc.3.mga3
+ Revision: 340712
- update file list
- bump kdelibs4 req
- add more br
- update tarball to real rc
+ lmenut <lmenut>
- kipi-plugins-acquireimages: add provides scanner-gui

* Thu Nov 22 2012 fwang <fwang> 1:3.0.0-0.rc.2.mga3
+ Revision: 321009
- update file list
- update file list
- update file list
- update file list
- build to release

* Wed Nov 07 2012 neoclust <neoclust> 1:3.0.0-0.rc.1.mga3
+ Revision: 315402
- New version 3.0.0 RC
+ fwang <fwang>
- correct libname for kexiv2

* Fri Oct 19 2012 fwang <fwang> 1:3.0.0-0.beta2.1.mga3
+ Revision: 308124
- photivo is not enabled by default
- update libmajor
- update file list
- disable videoslideshow plugin, as it is not building
- more br
- build imagemagick
- br imagemagick
- new version 3.0.0 beta2
+ dlucio <dlucio>
- more filelist fixes

* Fri Oct 05 2012 dlucio <dlucio> 1:3.0.0-0.beta1.1.mga3
+ Revision: 302883
- Fix some groups
- Group fix
- New subpackages
- Fixed file list
- New BR
+ neoclust <neoclust>
- Pre release of the beta1

* Mon Sep 03 2012 fwang <fwang> 1:2.9.0-1.mga3
+ Revision: 287443
- fix kipiplugins.desktop
- new version 2.9.0

* Mon Aug 06 2012 neoclust <neoclust> 1:2.8.0-1.mga3
+ Revision: 279264
- New version 2.8.0

* Sun Aug 05 2012 fwang <fwang> 1:2.7.0-2.mga3
+ Revision: 278938
- fix build with gphoto 2.5
- rebuild for new gphoto

* Sun Jul 08 2012 fwang <fwang> 1:2.7.0-1.mga3
+ Revision: 268836
- update file list
- new version 2.7.0

* Sun Jul 01 2012 fwang <fwang> 1:2.6.0-3.mga3
+ Revision: 265801
- rebuild for new marble

* Sat Jun 30 2012 fwang <fwang> 1:2.6.0-2.mga3
+ Revision: 265328
- rebuild for new libkexiv

* Wed Jun 06 2012 fwang <fwang> 1:2.6.0-1.mga3
+ Revision: 256041
- update file list
- 2.6.0 final

* Tue May 29 2012 fwang <fwang> 1:2.6.0-0.rc.7.mga3
+ Revision: 249029
- rebuild for new ffmpeg

* Thu May 10 2012 anaselli <anaselli> 1:2.6.0-0.rc.6.mga2
+ Revision: 235208
- Fixed imgurexport plugin
- new digikam 2.6.0-rc

* Mon Apr 30 2012 blino <blino> 1:2.6.0-0.beta3.5.mga2
+ Revision: 234337
- do not package ChangeLog for kipi-plugins, it is 2.3MB!

* Mon Apr 23 2012 lmenut <lmenut> 1:2.6.0-0.beta3.4.mga2
+ Revision: 233068
- Fix typo in suggested kipi-plugins-metadataedit

* Wed Apr 04 2012 zezinho <zezinho> 1:2.6.0-0.beta3.3.mga2
+ Revision: 228409
- l10n and handbooks brought back
- l10n and handbooks brought back

* Wed Apr 04 2012 zezinho <zezinho> 1:2.6.0-0.beta3.2.mga2
+ Revision: 228348
- Require sqlite3-tools for cleanup_digikamdb

* Wed Apr 04 2012 zezinho <zezinho> 1:2.6.0-0.beta3.1.mga2
+ Revision: 228329
- new version

* Sun Mar 11 2012 anaselli <anaselli> 1:2.6.0-0.beta2.3.mga2
+ Revision: 222645
- Fixed Bug 4262 - digikam no movie thumbnail

* Sun Mar 11 2012 anaselli <anaselli> 1:2.6.0-0.beta2.2.mga2
+ Revision: 222556
- Fixed printimages dialog minimum size

* Sat Mar 10 2012 anaselli <anaselli> 1:2.6.0-0.beta2.1.mga2
+ Revision: 222550
- new 2.6.0-beta2

* Tue Feb 14 2012 anaselli <anaselli> 1:2.6.0-0.beta1.1.mga2
+ Revision: 208678
- new upstream version 2.6.0 beta1
+ mikala <mikala>
- Add marble-common as requires ( mga #4263)
- Add kamera ioslave as a requires ( mga #4241)

* Fri Jan 06 2012 anaselli <anaselli> 1:2.5.0-1.mga2
+ Revision: 192690
- added patch to skip building kipi-plugins tests
- Added upstream patch (BKO bug#290496) to build against libkipi < 1.4.0
- Added upstream patch (BKO bug#287772) to build against boost 1.48
+ fwang <fwang>
- new version 2.5.0
- add more br
- new version 2.4.1
- new version 2.4.0

* Sat Nov 12 2011 mikala <mikala> 1:2.3.0-3.mga2
+ Revision: 166984
- Add BR for libpgf (pkgconfig(libpgf))
- Remove Conflicts against oxygen-icon-theme in showfoto
- Add patch1 & source1 to fix kde #286034 (Regression introduce in digikam)
- remove conflicts against oxygen-icon-theme (not needed anymore

* Tue Nov 08 2011 fwang <fwang> 1:2.3.0-2.mga2
+ Revision: 165211
- add conflicts on older oxygen icon theme to ease upgrade

* Mon Nov 07 2011 fwang <fwang> 1:2.3.0-1.mga2
+ Revision: 164937
- update file list
- update file list
- update file list
- rediff libvkontake patch
- new version 2.3.0

* Thu Oct 06 2011 mikala <mikala> 1:2.2.0-1.mga2
+ Revision: 152550
- Fix file list
- Rediff patch1 to use system libvtonkate
- add photolayouts-editor kipi plugin
- fix file list for panorama kipi plugin
+ fwang <fwang>
- new version 2.2.0
+ dlucio <dlucio>
- Just a rebuild to be sure we use new libpng

* Wed Sep 14 2011 mikala <mikala> 1:2.1.1-1.mga2
+ Revision: 143601
- Update tarbal to 2.1.1
- remove BR for libface (libkface is using an higher version)

* Wed Sep 14 2011 fwang <fwang> 1:2.1.0-2.mga2
+ Revision: 143115
- rebuild for new libpng

* Fri Sep 09 2011 mikala <mikala> 1:2.1.0-1.mga2
+ Revision: 141698
- Update tarball to 2.1.0
- Add panorama and kvkontakte kipi plugins package
- Add patch0 to build against system libkvkontakte
- Fix BuildRequires
- Update/add some URLs
- Remove %%clean section
- Minor spec changes
- Update tarball to final 2.0
- fix file list (kmap binaries are now renamed to kgeomap)
- Use %%find_langs for kipiplugins subpackages
- remove kipiplugins_wallpaper.po files (this kipiplugin is not available)
- Add kipi-common as Requires (lib(64)kipi8 should not requires kipi-common)
- Add libkdcraw-common as requires ( lib(64)kdcraw20 should not require it )
- Add imagemagick as Requires for kipi-plugins-batchprocess (convert is needed)
+ fwang <fwang>
- rebuild for new opencv

* Mon Jul 18 2011 mikala <mikala> 1:2.0.0-0.rc.2.mga2
+ Revision: 125897
- Add patch0 from master done by my mentor (Neoclust) to fix CMake files
- Split libkface & libkmap & libkmediawiki devel packages from common package (they should be soon out of digikam SC & part of KDE SC)
  rename libkmap package to libkgeomap (name changes in upstream to fit KDE SC requirement & moved to extragear/libs)
- add hugin as a require for kipi-plugins-expoblending ( fix mga #2097)
- Clean spec :
 - Remove obsoletes & conflicts from mandriva 2009.0
 - Remove BuildRoot tag
 - Remove %%defattr(-,root,root) (not needed anymore)
 - Versionnate the Obsoletes of kipi-plugins-devel
 - use kde macros
 - Add lib%%name-devel as provides for digikam-devel package (match new -devel policy)
 - use pkgconfig() as buildrequires (match new -devel policy)
 - move -devel package @ the end of the spec
 - use spaces instead of tabs

* Mon Jul 18 2011 fwang <fwang> 1:2.0.0-0.rc.1.mga2
+ Revision: 125856
- finally update file list
- use correct para of find_lang
- update file list
- br gomp
- update file list
- clean bundled sources
- br ksane
- new version 2.0 rc

* Wed Jun 29 2011 fwang <fwang> 1.9.0-2.mga2
+ Revision: 115997
- digikam does not like marble 4.7 now
- br kipi
- rebuild for kde 4.7

* Wed Mar 02 2011 mikala <mikala> 1.9.0-1.mga1
+ Revision: 62703
- Update tarball to 1.9.0

* Fri Feb 18 2011 mikala <mikala> 1.8.0-1.mga1
+ Revision: 53395
- Update to digikam 1.8.0
- Remove kdelibs4-devel (pulled by others BR)
- imported package digikam


* Wed Jan 12 2011 John Balcaen <balcaen.john@gmail.com> 1.7.0-2mga1
- Use mageia kde's spec layout 
- Update library description & summary.
- Remove useless requires

* Sun Dec 19 2010 Funda Wang <fwang@mandriva.org> 1.7.0-1mdv2011.0
+ Revision: 623157
- new version 1.7.0

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Use kde layout

* Tue Nov 23 2010 Buchan Milne <bgmilne@mandriva.org> 1.6.0-1mdv2011.0
+ Revision: 599940
- update to new version 1.6.0
- Tighten up library dependencies

* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2011.0
+ Revision: 584881
- new version 1.5.0

  + Buchan Milne <bgmilne@mandriva.org>
    - Use fix from svn that should not break other Canon cameras

* Tue Sep 21 2010 Buchan Milne <bgmilne@mandriva.org> 1.4.0-4mdv2011.0
+ Revision: 580395
- Fix lens auto-correction to use LensType tag on Canon, instead of Lens tag - KDE bug #251920

* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 1.4.0-3mdv2011.0
+ Revision: 579317
- rebuild for new libkipi

* Thu Sep 02 2010 Funda Wang <fwang@mandriva.org> 1.4.0-2mdv2011.0
+ Revision: 575184
- rebuild for new kdeedu

* Sun Aug 22 2010 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2011.0
+ Revision: 571990
- new version 1.4.0

* Sat Jul 31 2010 John Balcaen <mikala@mandriva.org> 1.3.0-2mdv2011.0
+ Revision: 563834
- Rebuild for kde 4.5 (new marble...)

* Sun Jun 27 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.3.0-1mdv2010.1
+ Revision: 549234
- Fix (Build)Requires
- Fix MySQL (Build)Requires
- Fix Requires/BuildRequires
- Add buildrequires
- Update to version 1.3.0

* Fri May 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2.0-4mdv2010.1
+ Revision: 546514
- Update french translation

* Tue Apr 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2.0-3mdv2010.1
+ Revision: 532010
- Rebuild against new libkdcraw

* Thu Apr 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2.0-2mdv2010.1
+ Revision: 530657
- Fix a bug in the cmakefile ( BKO: 232875
- Add patch to fix crash

* Mon Mar 29 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.2.0-1mdv2010.1
+ Revision: 528657
- Update to 1.2.0

* Sun Jan 31 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 498784
- Update to digikam 1.1.0

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-2mdv2010.1
+ Revision: 488745
- rebuilt against libjpeg v8

* Mon Dec 21 2009 Angelo Naselli <anaselli@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 480779
- removed old shofoto.desktop patch

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to digikam 1.0.0 final

* Mon Nov 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.7.1mdv2010.1
+ Revision: 471716
- Update to 1.0.0 Rc

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.6.2mdv2010.1
+ Revision: 465207
- Rebuild against new Qt

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 1.0.0-0.6.1mdv2010.1
+ Revision: 463499
- new version beta6

* Mon Nov 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.5.3mdv2010.1
+ Revision: 463383
- Rebuild against new kde 4

* Sun Oct 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.5.2mdv2010.0
+ Revision: 456686
- Add marble-common as a Requires in showfoto

* Tue Oct 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.5.1mdv2010.0
+ Revision: 454584
- Fix file list
- Update to beta5

* Mon Aug 31 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-0.4.1mdv2010.0
+ Revision: 423029
- Fix upgrade using numbers instead of letters
- New upstream version beta4

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-0.beta3.2mdv2010.0
+ Revision: 416610
- rebuilt against libjpeg v7

* Fri Jul 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.beta3.1mdv2010.0
+ Revision: 399526
- Remove merged patches
- Update to beta3

* Thu Jul 09 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-0.beta2.3mdv2010.0
+ Revision: 393960
- Fix mandriva bug 52073

* Thu Jul 09 2009 Helio Chissini de Castro <helio@mandriva.com> 1.0.0-0.beta2.2mdv2010.0
+ Revision: 393908
- Enable liquid rescale

* Mon Jul 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.beta2.1mdv2010.0
+ Revision: 392708
- Fix build
- Update to digikam 1.0.0-beta2

* Mon Jun 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0.0-0.beta1.1mdv2010.0
+ Revision: 383855
- Update to 1.0.0 Beta1

* Wed Apr 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-6mdv2009.1
+ Revision: 367583
- Add a require on marble-common

* Tue Apr 14 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-5mdv2009.1
+ Revision: 367239
- Split showfoto on its own package to avoid useless on default install
- Remove old macros
- Digikam does not need marble, only marble libs

* Thu Apr 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-3mdv2009.1
+ Revision: 365357
- Add kipi-plugins as requires

* Mon Mar 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-2mdv2009.1
+ Revision: 356259
- New version 0.10 final

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.rc2.3mdv2009.1
+ Revision: 340820
- Update to Rc2

* Fri Jan 23 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.rc1.3mdv2009.1
+ Revision: 333096
- Update to Rc1
- Revert commit 331703, digikam requires kdebase4-runtime which Requires oxygen-icon-theme
  so this requires is useless.

  + Bruno Cornec <bcornec@mandriva.org>
    - Tag 3: Adds a dependency on oxygen-icon-theme as digikam 0.10 doesn't work correctly without it in KDE 4 (after upgrading from 0.9 and KDE 3.5)

* Tue Jan 13 2009 Funda Wang <fwang@mandriva.org> 0.10.0-1.beta8.2mdv2009.1
+ Revision: 328978
- digikam.desktop is already translated
- fix file list
- fix linkage

  + Emmanuel Blindauer <blindauer@mandriva.org>
    - rebuild for latest kdelibs

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to beta8

* Fri Dec 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.beta7.1mdv2009.1
+ Revision: 316353
- Update to beta7

* Sun Dec 14 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.beta6.4mdv2009.1
+ Revision: 314392
- Sync with trunk

* Fri Nov 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.beta6.3mdv2009.1
+ Revision: 307511
- Update to latest beta6
  Add new libdigikamcore libs
  Remove libdigikam lib

* Sun Nov 23 2008 Funda Wang <fwang@mandriva.org> 0.10.0-1.beta5.3mdv2009.1
+ Revision: 305980
- rebuild for new libkipi

* Sat Nov 15 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.beta5.2mdv2009.1
+ Revision: 303390
- Remove duplicate files

* Wed Nov 05 2008 Angelo Naselli <anaselli@mandriva.org> 0.10.0-1.beta5.1mdv2009.1
+ Revision: 299963
- new version 0.10.0 beta5

* Sun Oct 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-1.beta4.1mdv2009.1
+ Revision: 297477
- Update to digikam 0.10.0 beta4

* Mon Sep 29 2008 Helio Chissini de Castro <helio@mandriva.com> 0.10.0-1.beta3.2mdv2009.0
+ Revision: 289701
- Updated desktop file as requested by translation team

* Thu Sep 11 2008 Angelo Naselli <anaselli@mandriva.org> 0.10.0-1.beta3.1mdv2009.0
+ Revision: 283824
- new version 0.10.0 beta3

* Mon Aug 04 2008 Angelo Naselli <anaselli@mandriva.org> 0.10.0-1.beta2.1mdv2009.0
+ Revision: 263076
- new version 0.10.0 beta2

* Mon Jul 28 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-0.838532.1mdv2009.0
+ Revision: 251744
- New shapshot

* Tue Jun 24 2008 Helio Chissini de Castro <helio@mandriva.com> 0.10.0-0.824037.2mdv2009.0
+ Revision: 228792
- Update from svn
- Added requries for new liblens
- Up to date digikam form svn

  + Colin Guthrie <cguthrie@mandriva.org>
    - Update snapshot
    - Update BuildRequires now that kdcraw, kipi and kexiv2 are part of kdegraphics4
    - Fix the Require on qt4-sqlite plugin (update needed in qt4 to fix properly)
    - Tidy up %%post/%%postun scripts
    - Work around GCC 4.3.1 bug

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix Requires ( Reported on cooker Mailing List)

* Tue May 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-0.809821.4mdv2009.0
+ Revision: 209317
- Fix conflicts against oxygen-icon-theme

* Mon May 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-0.809821.3mdv2009.0
+ Revision: 209188
- Add kdeedu4-devel as BuildRequire

* Mon May 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-0.809821.2mdv2009.0
+ Revision: 209170
- Fix tarball
- Fix FileList
- New snapshot
- Fix spec file with new name
- Use kde4 apps by default
- Fix BuildRequires

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description

* Fri Dec 28 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10.0-0.753592.1mdv2008.1
+ Revision: 138817
- Add buildrequire (liblcms-devel)
- Fix pkgconfig dir
- import kde4-digikam


* Mon Apr 02 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-6mdv2007.1
+ Revision: 150186
- Add a real group :/

* Sat Mar 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-5mdv2007.1
+ Revision: 149979
- Add doc sub-package (asked by  Angelo)

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 0.9.1-4mdv2007.1
+ Revision: 144495
- drop INSTALL file
- move 1MB ChangeLog in devel package

* Thu Mar 08 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.1-3mdv2007.1
+ Revision: 138538
- Fix UTF-8 issues

* Mon Mar 05 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-1mdv2007.1
+ Revision: 132920
- 0.9.1 final
- rebuilt for new libexiv2

* Fri Mar 02 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.rc2.2mdv2007.1
+ Revision: 131107
- fix bug #28152

* Wed Feb 28 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.rc2.1mdv2007.1
+ Revision: 127049
- new version 0.9.1-rc2

* Tue Feb 20 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.rc1.1mdv2007.1
+ Revision: 123164
- new 0.9.1-rc1

* Thu Feb 15 2007 Angelo Naselli <anaselli@mandriva.org> 0.9.1-0.beta1.2mdv2007.1
+ Revision: 121439
- rebuilt
- Provides name and version for devel package
- new version 0.9.1-beta1a
- removed useless dependency

* Mon Dec 18 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-1mdv2007.1
+ Revision: 98901
- New version 0.9.0

* Sun Dec 10 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-0.rc2.2mdv2007.1
+ Revision: 94539
- forgot to changing release version
- fix BKO bug 138620: Saving a picture can overwrite another one

* Thu Dec 07 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-0.rc2.1mdv2007.1
+ Revision: 92064
- New version 0.9.0-rc2

* Mon Dec 04 2006 Angelo Naselli <anaselli@mandriva.org> 0.9.0-0.rc1.2mdv2007.1
+ Revision: 90469
- removed libkexif dependency and rebuilt for new libexiv

* Thu Nov 23 2006 Laurent Montel <lmontel@mandriva.com> 0.9.0-0.rc1.1mdv2007.1
+ Revision: 86552
- 0.9.0-rc1
  (a day I will submit this package when rebuild-bot will work...)

* Sun Oct 22 2006 Laurent Montel <lmontel@mandriva.com> 0.9.0-0.beta3.1mdv2007.1
+ Revision: 71656
- 0.9.0-beta3

* Wed Aug 16 2006 Helio Chissini de Castro <helio@mandriva.com> 0.8.2-6mdv2007.0
+ Revision: 56175
- Recompile against new gphoto2

* Tue Aug 08 2006 Helio Chissini de Castro <helio@mandriva.com> 0.8.2-5mdv2007.0
+ Revision: 53913
- Trying to do it right:
- Readd to subversion.
- Cleanup spec
- Added proper configure
- Removed invalid patches
- move kioslaves for proper package
- import digikam-0.8.2-2mdv2007.0

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 14:37:23 (41618)
- Fix release number

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:47:36 (41600)
- fix generate desktop file

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:25:13 (41596)
- Fix typo

* Thu Jul 20 2006 Laurent Montel <lmontel@mandriva.com>
+ 2006-07-19 11:15:40 (41594)
- 0.8.2

* Sat Jul 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-30 16:41:39 (38257)
- rebuild against latest libgphoto

* Sat Jul 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-30 10:45:50 (38215)
- import digikam-0.8.2-0.rc1.2mdv2007.0

* Thu Jun 08 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.2-0.rc1.2
- Fix requires

* Mon May 15 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.2-0.rc1.1
- 0.8.2-rc1

* Wed May 10 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-4
- Rebuild to generate new category

* Sun Apr 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.1-3mdk
- Add Requires (#22104)

* Tue Feb 28 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-2
- Fix conflict when we compile with kdelibs-3.5.1

* Mon Jan 16 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.1-1
- 0.8.1

* Wed Jan 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-5mdk
- rebuilt due to package loss

* Sun Jan 08 2006 Angelo Naselli <anaselli@mandriva.org> 0.8.0-4mdk
- Rebuild

* Thu Dec 15 2005 Till Kamppeter <till@mandriva.com> 0.8.0-3mdk
- Printing out of the image editor required unreasonably much memory,
  so that it took either more than half an hour per picture or the
  CUPS filtering process crashed. Fixed with patch from
  http://mail.kde.org/pipermail/digikam-devel/2005-December/002495.html
  (patch 6).

* Tue Dec 06 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-2 
- Why buildrequires on kdesdk ?

* Sun Nov 27 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-1 
- 0.8.0

* Tue Nov 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.0-rc1.3mdk
- add BuildRequires: sqlite3-devel

* Tue Nov 15 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.0-rc1.2mdk
- Rebuild

* Sun Nov 13 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-rc1.1
- Rc1

* Sat Nov 05 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-beta2.2
- Fix spec file

* Tue Oct 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.0-beta2.1
- 0.8.0-beta2

* Wed Aug 17 2005 Till Kamppeter <till@mandriva.com> 0.7.3-2mdk
- Mase digiKam the default application being launched when clicking
  a digital camera desktop icon (if digiKam is not installed, flphoto
  will be started instead).

* Tue Jul 12 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-1
- 0.7.3

* Sat Jun 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2. 3
- Real use beta2 package

* Sat May 07 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2. 2
- Rebuild

* Thu May 05 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta2.1mdk
- beta2

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1. 3
- Fix Requires

* Wed Apr 20 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1. 2
- Reapply patch1 (rediff from neoclust)

* Mon Apr 18 2005 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-0.beta1.1mdk
- 0.7.3-beta1

* Fri Apr 01 2005 Till Kamppeter <till@mandrakesoft.com> 0.7.2-2mdk
- Added "Requires: libgphoto-hotplug" (bug 15135).

* Thu Mar 03 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Tue Mar 01 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-0.beta1.3mdk
- Fix icon in showFoto

* Mon Feb 14 2005 Angelo Naselli <anaselli@mandrake.org> 0.7.2-0.beta1.2mdk
- added conflicts with old digikam-plugins (Frederik Himpe)
- DistroSpecificReleaseTag suppor

* Tue Feb 08 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-0.beta1.1mdk
- 0.7.2-beta1

* Tue Jan 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Dec 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.1-0.beta2.4mdk
- add BuildRequires: libgdbm-devel

* Sat Dec 25 2004 Per Oyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.1-0.beta2.3mdk
- use automake1.8
- wipe out buildroot in %%install  , not %%prep

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.2mdk
- Rebuild with new libkexif

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.1mdk
- 0.7.2-beta2

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.2mdk
- Fix menu

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.1mdk
- 0.7.1-beta1

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Fix menu

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.2mdk
- Reapply Gb fixe (sorry :( )

* Wed Nov 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.1mdk
- 0.7

* Wed Aug 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Translate phto directory

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- Add patch1: fix default photo directory

* Sat Jun 19 2004 Laurent Culioli <laurent@mandrake.org> 0.6.2-1mdk
- 0.6.2
- add menu icons

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.3mdk
- Rebuilld

* Wed Jun 02 2004 Marcel Pol <mpol@mandrake.org> 0.6.2-0.rc1.2mdk
- buildrequires (slbd)
- drop WANT_AUTOCONF_2_5

* Wed May 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.1mdk
- 0.6.2-rc1

* Fri May 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

